Package org.opensaml.core.criterion

# Class EntityIdCriterion

java.lang.Object
org.opensaml.core.criterion.EntityIdCriterion

All Implemented Interfaces:
  `Criterion`

public final class EntityIdCriterion extends Object implements Criterion
`Criterion` representing an entity ID.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final String`
`id`
The entity ID.

## Constructor Summary

Constructors
Constructor
Description
`EntityIdCriterion(String entityId)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getEntityId()`
Gets the entity ID.
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### id

@Nonnull @NotEmpty private final String id
The entity ID.

## Constructor Details

### EntityIdCriterion

public EntityIdCriterion(@Nonnull @NotEmpty String entityId)
Constructor.

Parameters:
  `entityId` - the entity ID, can not be null or empty

## Method Details

### getEntityId

@Nonnull @NotEmpty public String getEntityId()
Gets the entity ID.

Returns:
  the entity ID, never null or empty

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`